#
# spec file for package gmerlin-avdecoder
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2005-2010 oc2pus
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _prefix	/usr
%define _SO_nr	1
%define rev     4256
Name:           gmerlin-avdecoder
Version:        1.2.0rsvn%{rev}
Release:        pm152.3.51
Summary:        Gmerlin A/V decoder library
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://gmerlin.sourceforge.net/
# svn co svn:://svn.code.sf.net/p/gmerlin/code/trunk/gmerlin_avdecoder/
Source0:        %{name}-%{rev}.tar.gz
#PATCH-FIX-UPSTREAM FSF.patch avvissu@yandex.ru -- Fix wrong fsf address
Patch0:         gmerlin_avdecoder-1.2.0rsvn4256-FSF.patch
Patch1:         gmerlin_avdec-implicitdecl.patch
Patch2:         gmerlin-avdecoder-Xext.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  gamin-devel
BuildRequires:  libdvdread3-devel
BuildRequires:  libfaad2-devel >= 2.0
BuildRequires:  libjpeg-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(flac) >= 1.1.0
BuildRequires:  pkgconfig(gmerlin) >= 1.2.0
BuildRequires:  pkgconfig(liba52) >= 0.7.4
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libcdio) >= 0.75
BuildRequires:  pkgconfig(libdca)
BuildRequires:  pkgconfig(libmpeg2) >= 0.4.0
#BuildRequires:	libmusepack >= 1.1
BuildRequires:  pkgconfig(libopenjpeg)
BuildRequires:  pkgconfig(libpng) >= 1.2.2
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(mad) >= 0.15.0
BuildRequires:  pkgconfig(mjpegtools) >= 1.9
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  pkgconfig(speex) >= 1.0.4
BuildRequires:  pkgconfig(theora) >= 1.0alpha5
BuildRequires:  pkgconfig(vdpau)
BuildRequires:  pkgconfig(vorbis) >= 1.0
BuildRequires:  pkgconfig(x264)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gmerlin-avdecoder is one of the most complete general purpose media
decoding libraries. The supported formats and codecs span a wide range of
applications from consumer level (mp3, divx etc.) to high end production
formats like 32 bit PCM and some professional uncompressed video codecs.

%package -n 	libgmerlin_avdec-devel
Summary:        Header files for compiling gmerlin applications and plugins
Group:          Development/Libraries/C and C++
Requires:       libdvdread3-devel
Requires:       libfaad2-devel >= 2.0
Requires:       libgmerlin_avdec%{_SO_nr} = %{version}
Requires:       libjpeg-devel
Requires:       libmpcdec-devel
Requires:       pkgconfig(flac) >= 1.1.0
Requires:       pkgconfig(gamin)
Requires:       pkgconfig(gmerlin) >= 1.2.0
Requires:       pkgconfig(liba52) >= 0.7.4
Requires:       pkgconfig(libavcodec)
#Requires:		pkgconfig(libcdio) >= 0.75
Requires:       pkgconfig(libdca)
Requires:       pkgconfig(libmpeg2) >= 0.4.0
#Requires:		libmusepack >= 1.1
Requires:       pkgconfig(libopenjpeg)
Requires:       pkgconfig(libpng) >= 1.2.2
Requires:       pkgconfig(libtiff-4)
Requires:       pkgconfig(libxml-2.0)
Requires:       pkgconfig(mad) >= 0.15.0
Requires:       pkgconfig(mjpegtools) >= 1.9
Requires:       pkgconfig(smbclient)
Requires:       pkgconfig(speex) >= 1.0.4
Requires:       pkgconfig(theora) >= 1.0alpha5
Requires:       pkgconfig(vdpau)
Requires:       pkgconfig(vorbis) >= 1.0
Requires:       pkgconfig(x264)

%description -n libgmerlin_avdec-devel
Header files for compiling gmerlin applications and plugins for package
gmerlin-avdecoder.

%package -n 	libgmerlin_avdec%{_SO_nr}
Summary:        Shared library for gmerlin-avdecoder
Group:          System/Libraries
Provides:       libgmerlin-avdecoder1 = 1.0.0
Obsoletes:      libgmerlin-avdecoder1 < 1.0.0

%description -n libgmerlin_avdec%{_SO_nr}
Shared library for Gmerlin A/V decoder library.

%package 	plugins
Summary:        Plugins for gmerlin
Group:          Productivity/Multimedia/Other
Requires:       gmerlin >= 1.2.0
Provides:       gmerlin-input-plugin

%description plugins
Gmerlin plugins based on the Gmerlin A/V decoder library.

%lang_package

%prep
%autosetup -p1 -n %{name}

%build
# Do not compile in DATE and TIME
echo 'HTML_TIMESTAMP = NO' >> doc/Doxyfile.in

./autogen.sh
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags} \
	docdir=%{_docdir}/%{name}-devel

%find_lang %{name}

find %{buildroot} -type f -name "*.la" -delete -print

%post -n libgmerlin_avdec%{_SO_nr} -p /sbin/ldconfig

%postun -n libgmerlin_avdec%{_SO_nr} -p /sbin/ldconfig

%files lang -f %{name}.lang
%defattr(-,root,root)

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/bgavdump
%{_bindir}/bgavdemux

%files -n libgmerlin_avdec%{_SO_nr}
%defattr(-,root,root)
%{_libdir}/libgmerlin_avdec.so.*

%files -n libgmerlin_avdec-devel
%defattr(-,root,root)
%dir %doc %{_docdir}/%{name}-devel
%doc %{_docdir}/%{name}-devel/*
%{_includedir}/gmerlin/*.h
%{_libdir}/libgmerlin_avdec.so
%{_libdir}/pkgconfig/gmerlin_avdec.pc

%files plugins
%defattr(-,root,root)
%dir %{_libdir}/gmerlin
%dir %{_libdir}/gmerlin/plugins
%{_libdir}/gmerlin/plugins/*.so*

%changelog
* Wed Feb 25 2015 avvissu@yandex.ru
- Update to rsvn4256
- Remove all patches (fixed in upstream):
  * gmerlin_avdec-debian-fix-ftbfs-libav9.patch
  * gmerlin_avdec-debian-libav10.patch
- Fix wrong fsf address (gmerlin_avdecoder-1.2.0rsvn4256-FSF.patch)
- Use pkgconfig in package names
- Rename libgmerlin-avdecoder-devel in libgmerlin_avdec-devel
- Do not compile in DATE and TIME: set HTML_TIMESTAMP = NO
- Use autogen.sh instead of %%suse_update_config macro
- Spec file cleanup
* Fri Mar 28 2014 seife+obs@b1-systems.com
- update to 1.2.0
- add debian patches to fix build against current ffmpeg
* Fri Mar 28 2014 seife+obs@b1-systems.com
- libopenjpeg-devel => openjpeg-devel to unbreak build
* Sat May 19 2012 seife+obs@b1-systems.com
- add libtool dependency to fix >12.1 build
- don't apply %%suse_update_libdir on >12.1 -- it breaks the build
* Wed Mar 10 2010 detlef@links2linux.de
- update to 1.1.0
* Sat Feb 27 2010 toni@links2linux.de
- update to 1.0.3
* Thu Feb 25 2010 toni@links2linux.de
- update to 1.0.2
* Tue Dec 23 2008 toni@links2linux.de
- rebuild with new libdvdread(-devel)
* Thu Dec 18 2008 toni@links2linux.de
- corrected Requires fro gmerlin-avdecoder-plugins subpackage
* Wed Dec 17 2008 toni@links2linux.de
- update to 1.0.0
- new SO-name ==> libgmerlin-avdecoder1
- added libopenjpeg support
* Thu Dec  4 2008 toni@links2linux.de
- added patch for new ffmpeg
* Wed Sep 24 2008 toni@links2linux.de
- rebuild with new packages (libmad-devel, libffmpeg-devel)
- patched for new ffmpeg-API (bits_per_sample ==> bits_per_coded_sample)
* Tue Jul 22 2008 toni@links2linux.de
- update to 0.1.8
* Thu May  1 2008 toni@links2linux.de
- rebuild against new ffmpeg packages
  thx for patch to Manfred !
* Thu Jan 10 2008 toni@links2linux.de
- update to 0.1.7
- changed package layout according Shared Library Packaging Policy
* Sat Dec 29 2007 toni@links2linux.de
- rebuild with new libx264(-devel) package
* Fri Dec 21 2007 toni@links2linux.de
- rebuild with new ffmpeg package
* Wed Nov  7 2007 toni@links2linux.de
- rebuild with libdca-0.0.5
* Mon Oct  1 2007 toni@links2linux.de
- rebuild with patches for libffmpeg0 (swtscaler)
- added flac patch for openSuSE-10.3
- openSuSE-10.3 build with mjpegtools-1.9.0 instead of gmerlin-mjpegtools
- rebuild for SuSE-10.0 without libcdio (patch from upstream)
* Fri May 11 2007 toni@links2linux.de
- update to 0.1.6
* Tue Jan  2 2007 toni@links2linux.de
- build SuSE-10.2, corrected BuildRequires
* Sat Dec  9 2006 toni@links2linux.de
- update to 0.1.5
* Wed Nov  8 2006 toni@links2linux.de
- build against new x264
* Fri Sep 22 2006 toni@links2linux.de
- added libcdio-patch
* Tue Sep 19 2006 toni@links2linux.de
- build for packman
* Thu Aug 17 2006 oc2pus@arcor.de - 0.1.4-0.oc2pus.2
- rebuild against new libs from packman
* Wed Jul 12 2006 oc2pus@arcor.de - 0.1.4-0.oc2pus.1
- update to 0.1.4
* Wed Apr 12 2006 oc2pus@arcor.de - 0.1.3-0.oc2pus.2
- corrected file-rights
* Sat Feb  4 2006 oc2pus@arcor.de - 0.1.3-0.oc2pus.1
- update to 0.1.3
* Fri Nov 18 2005 oc2pus@arcor.de - 0.1.2-0.oc2pus.1
- initial version 0.1.2
